<div>
  <mat-form-field appearance="fill">
    <mat-label *ngIf="selectedPoolId">Pool</mat-label>
    <mat-label *ngIf="!selectedPoolId">No Selected Pool</mat-label>
    <mat-select
      (selectionChange)="onSelectionChange($event.value)"
      [disabled]="isCreatedAndStarted()"
      [(value)]="selectedPoolId"
      required
    >
      <mat-option *ngFor="let pool of pools" [value]="pool.id" [disabled]="pool.isLocked()">
        {{pool.title}}
      </mat-option>
    </mat-select>
  </mat-form-field>
  <div class="selected-pool" *ngIf="selectedPoolId">
    <h4>Pool {{ selectedPoolId }} is currently assigned to this training instance.
      <a mat-button color="accent" [routerLink]="this.poolDetailRoute">Show</a>
    </h4>
  </div>
</div>
